## postgis 2.0.3

=== debian/changelog ===
postgis (2.0.3-8.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-postgis-source-distribution=sid-18,
    git revision a72a3541a249865f16cfca5a399e1b3c2ae221b1)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 07 Aug 2013 22:59:38 +0200

postgis (2.0.3-8) unstable; urgency=low

  * Don't err out when setting JAVA_HOME, but only later in
    build-indep. So arch-only builds that don't have (nor need) the java
    cruft available can succeed.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 07 Aug 2013 22:10:02 +0200

postgis (2.0.3-7) unstable; urgency=low

  * Let rules check for different OpenJDK versions supported and set
    JAVA_HOME accordingly.
  * Use a simple rm rather than invoking maven. Allows us to move all java
    related Build-Depends back to Build-Depends-Indep.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 07 Aug 2013 13:12:25 +0200

postgis (2.0.3-6) unstable; urgency=low

  * Cleanup check target, reduce duplication.
  * Re-add postgis_restore.pl from the utils directory. Closes: #718358.
  * Add patch fix-tests-on-big-endian to fix unit tests on big
    endian. Closes: #718749.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 06 Aug 2013 20:29:42 +0200

postgis (2.0.3-5) unstable; urgency=low

  * Build-Deps: rather than default-jdk, depend on openjdk 6 or 7, as the
    gcj-jdk didn't work.
  * Add patch fix-kfreebsd to get rid of a compilation error on kFreeBSD.
  * rules: if 'make check' fails, print all the diffs of failing tests on
    stdout.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 25 Jul 2013 21:45:17 +0200

postgis (2.0.3-4) unstable; urgency=low

  * Build-Deps: also make libmaven-clean-plugin-java and
    libmaven-jar-plugin-java a full build dependency. Fixes another FTBFS.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 23 Jul 2013 09:40:35 +0200

postgis (2.0.3-3) unstable; urgency=low

  [Mònica Ramírez Arceda]
  * Add a manpage for shp2pgsql-gui. Closes: #656012.

  [Markus Wanner]
  * Add fix-test-case-for-i386 patch, back-ported from upstream's
    r10642. Fixes tests on i386 (and possibly other non-amd64
    architectures).

 -- Markus Wanner <markus@bluegap.ch>  Fri, 19 Jul 2013 10:59:47 +0200

postgis (2.0.3-2) unstable; urgency=low

  * Correct dependency on libgdal-dev, allowing the old, now transitional
    libgdal1-dev to satisfy it as well.
  * Build-Deps: correct libgeos-dev version requirement, depend on
    libpostgresql-jdbc-java instead of (transitional) libpg-java.
  * Tweak extend-diff-ignore to save us a copying dance in
    debian/rules. Cleanup the 'clean' target a bit.
  * Make maven2 a full build-dep (not just B-D-Indep). Closes: #714712.
  * Pass an LD_PRELOAD to postgres when running 'make check', so the
    postgis library being loaded can find liblwgeom (and doesn't try to
    use a pre-installed one).
  * Add postgresql-common build dependency, as the above needs a relatively
    new pg_createcluster feature.
  * Drop libpostgresql-jdbc-java from B-D-I, it's already in B-D.

 -- Markus Wanner  <markus@bluegap.ch>  Thu, 18 Jul 2013 20:29:41 +0200

postgis (2.0.3-1) unstable; urgency=low

  [Markus Wanner]
  * Team upload
  * New upstream release, 2.0.3
  * Drop Build-Dep on postgresql server binaries.
  * Downgrade postgresql-9.1-postgis dependency on postgis to a
    recommendation. Downgrade several conflicts to breaks.
  * Upgrade postgresql-9.1-java misc-depends from suggestion to dependency.
  * Add patch fix-spelling: fixes a common spelling error in
    liblwgeom/lwout_wkt.c.
  * Ignore changes of some auto-updated files (via source/options). Let
    debian/rules cleanup some more generated files.
  * rules: use a separate build directory per Postgres version, swap
    dh_makeshlibs and dh_installdeb, build in the appropriate build targets,
    let install only install pre-built stuff.
  * Compile the postgis jdbc java library again, using maven directly. Add
    required Build-Depends-Indeps.
  * Separate large SQL scripts and perl utils. Put them in their own
    architecture independent indepentend package (..-scripts).
  * Separate PostGIS documentation into a postgis-doc package, register its
    contents with doc-base.
  * Append the PostGIS version to postgresql-9.1-postgis, so multiple
    versions of it can be co-installed. Required to keep systems working
    after an upgrade.
  * Represent the fact that lwgeom isn't backward compatible by renaming
    liblwgeom2 to liblwgeom-2.0.3.
  * Add patch java-version-fix: Corrects java jdbc jar version.
  * Policy updated to 3.9.4. No changes.
  * Add pgversions and allow generation of debian/control and various
    install files based on it.
  * Update debian/copyright a bit.
  * Update and improve watchfile.

  [Stephen Frost]
  * Split out liblwgeom2 and liblwgeom-dev from postgis.
  * Add patches debian-versions and link-liblwgeom.
  * Let postgis install under /usr/lib/postgresql rather than under
    /usr/lib/postgis plus symlink in the former directory.
  * debian/rules: improve cleanup target.
  * Simplify and tweak build rules.

  [Jerome Villeneuve Larouche]
  * Removed old patches (generator, html_doc_resources, install)
  * Added patch fixmakedoc for doc/Makefile.comments.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 05 Jun 2013 23:12:35 +0200
