=== debian/rules ===
--- 
+++ 
@@ -19,26 +19,36 @@
 include /usr/share/dpkg/buildflags.mk
 
 CHECK = check
-ifneq (,$(findstring nocheck,$(DEB_BUILLD_OPTIONS)))
+ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	CHECK =
 endif
+
+# PostgreSQL versions supported by PostGIS 2.0 - for automatic
+# generation of transitional -scripts packages.
+POSTGIS_2_0_PGVERS = 8.4 9.0 9.1 9.2
 
 # Magic to automatically create a debian/control file for the (or all)
 # supported versions of Postgres.
 #
-# Blatantly copied from /usr/share/postgresql-common/pgxs_debian_control.mk
-# and extended to support NEWEST_VERSION.
-debian/control: debian/control.in debian/pgversions
+# Blatantly copied from
+# /usr/share/postgresql-common/pgxs_debian_control.mk and extended to
+# support NEWEST_VERSION and fiddle with postgis 2.0 transitional
+# packages.
+debian/control: debian/control.in debian/pgversions \
+			debian/control.postgis-2.0.in
 	(set -e; \
 	VERSIONS=`pg_buildext supported-versions $(CURDIR)` || exit $$?; \
 	NEWEST_VERSION=`pg_buildext supported-versions $(CURDIR) | tail -1` || exit $$?; \
+	POSTGIS_2_0_PGVERS="$(POSTGIS_2_0_PGVERS)" ; \
 	grep-dctrl -vP PGVERSION $< | \
 		sed -e "s:NEWEST_PGVERSION:$$NEWEST_VERSION:" > $@.pgxs_tmp; \
-	for v in $$VERSIONS; \
-        do                                         \
-		grep -q "^$$v" debian/pgversions   \
-		&& grep-dctrl -P PGVERSION $<      \
-		| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
+	for v in $$VERSIONS; do \
+		grep-dctrl -P PGVERSION $<      \
+			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
+		if test "$${POSTGIS_2_0_PGVERS#*$$v}" != "$${POSTGIS_2_0_PGVERS}" ; then \
+			grep-dctrl -P PGVERSION debian/control.postgis-2.0.in \
+			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
+		fi; \
 	done; \
 	mv $@.pgxs_tmp $@) || (rm -f $@.pgxs_tmp; exit 1)
 
@@ -122,9 +132,9 @@
 
 #	Create a few SQL scripts that the Makefiles are not clever enough
 #	to resolve, when building arch-indep only.
-	$(MAKE) -C postgis postgis.sql postgis_upgrade_20_minor.sql
-	$(MAKE) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade_20_minor.sql
-	$(MAKE) -C topology topology.sql topology_upgrade_20_minor.sql
+	$(MAKE) -C postgis postgis.sql postgis_upgrade_21_minor.sql
+	$(MAKE) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade_21_minor.sql
+	$(MAKE) -C topology topology.sql topology_upgrade_21_minor.sql
 
 #	This creates the required SQL scripts. Again, the Makefile is not
 #	clever enough to run this before 'install'.
@@ -183,11 +193,16 @@
 	rm -rf $(CURDIR)/java/jdbc/target
 
 #	Cleanup after the Makefile
-	rm -f $(CURDIR)/debian/*.postinst $(CURDIR)/debian/*.postrm
-	rm -f postgis/postgis_upgrade_20_minor.sql.in raster/rt_pg/rtpostgis_drop.sql \
+	rm -f postgis/postgis_upgrade_20_minor.sql.in \
+		raster/rt_pg/rtpostgis_drop.sql \
 		raster/rt_pg/rtpostgis_upgrade_cleanup.sql
-	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0.install
-	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0-scripts.install
+
+#	Cleanup auto-generated packaging control files
+	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.1.install
+	rm -f $(CURDIR)/debian/postgresql-*-postgis-scripts.install
+	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0-scripts.templates
+	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0-scripts.postinst
+	rm -f $(CURDIR)/debian/postgresql-*-postgis-2.0-scripts.config
 	rm -f loader/cunit/cu_tester
 	rm -rf liblwgeom/cunit/.libs
 
@@ -212,25 +227,3 @@
 	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
 		$(MAKE) -C $(CURDIR)/debian/build-$$PGVER \
 			install DESTDIR=$(CURDIR)/debian/tmp; \
-		$(MAKE) -C $(CURDIR)/debian/build-$$PGVER/extensions \
-			install DESTDIR=$(CURDIR)/debian/tmp; \
-	done)
-
-#	Compile and install docs
-	$(MAKE) -C doc docs-install \
-			DESTDIR=$(CURDIR)/debian/tmp \
-			PGSQL_DOCDIR=/usr/share/doc
-
-	dh_install -i
-
-#	Link the resulting JAR file, so it's available via it's old
-#	name. (Even if postgis-jdbc.jar might be more appropriate.)
-	ln -sf postgis-jdbc-$(POSTGIS_VERSION).jar \
-		$(CURDIR)/debian/libpostgis-java/usr/share/java/postgis.jar
-
-install-arch: build-arch
-	dh_testdir
-	dh_testroot
-	dh_prep -s
-	dh_installdirs -s
-
