## postgis 2.1.1

=== debian/changelog ===
postgis (2.1.1-5.pgdg70+1) wheezy-pgdg; urgency=low

  * Rebuild for wheezy-pgdg (jenkins-postgis-source-distribution=wheezy-
    42, git revision e58d45de902239d50b620826373b55b83409e3f8)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 28 Jan 2014 17:37:14 +0100

postgis (2.1.1-5) unstable; urgency=low

  * Use dh-autoreconf for up-to-date config.guess and config.sub.
    Closes: #727945.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 27 Jan 2014 21:10:42 +0100

postgis (2.1.1-4) unstable; urgency=low

  * Drop an unneeded fixmakedoc patch.
  * Add style.css and images to postgis-doc. Closes: #649352.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 19 Jan 2014 15:48:48 +0100

postgis (2.1.1-3) unstable; urgency=low

  * Fix FTBFS on at least powerpc and mips by commenting out a few tests
    that check against a serialized representation, which is architecture
    dependent.
  * Apply (experimental) upstream patch preventing against selectivity
    estimates bigger than 1.0.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 14 Jan 2014 22:18:56 +0100

postgis (2.1.1-2) unstable; urgency=medium

  * Fix FTBFS on armel, maybe others, with yet another patch.
  * debian/control: bumped Standard-Versions to 3.9.5, no changes needed.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 09 Jan 2014 20:00:54 +0100

postgis (2.1.1-1) unstable; urgency=low

  * New upstream release
  * Drop patches upstream-r11979, upstream-r11983, upstream-r11990, and
    minor-r11979-correction; these are included in this release.
  * control, rules, liblwgeom-2.1.*.{install,symbols}: adapt to new liblwgeom
    version.
  * Adjust patch debian-versions: in doc/Makefile.comments, refer to
    Postgres 9.3, as that's now default. Set POSTGIS_LIBXML2_VERSION to
    2.9.1, as currently shipped.
  * Adjust line numbers in patches honor-build-flags and link-liblwgeom

 -- Markus Wanner <markus@bluegap.ch>  Thu, 12 Dec 2013 20:38:27 +0100
