=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libmaven-clean-plugin-java, libmaven-jar-plugin-java,
  libsurefire-java, libmaven-compiler-plugin-java,
  libmaven-resources-plugin-java
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://postgis.refractions.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/postgis.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/postgis.git
@@ -66,7 +66,7 @@
  .
  This package contains JDBC support for PostGIS.
 
-Package: liblwgeom-2.1.0
+Package: liblwgeom-2.1.1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, libjson0 (>= 0.9~), ${misc:Depends}
@@ -86,7 +86,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
- liblwgeom-2.1.0 (= ${binary:Version})
+ liblwgeom-2.1.1 (= ${binary:Version})
 Breaks: postgis (<< 2.0.0)
 Description: PostGIS "Lightweight Geometry" library - Development files
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -103,7 +103,7 @@
 
 Package: postgresql-9.0-postgis-2.1
 Depends: ${shlibs:Depends}, postgresql-9.0,
- postgresql-9.0-postgis-scripts, liblwgeom-2.1.0,
+ postgresql-9.0-postgis-scripts, liblwgeom-2.1.1,
  ${misc:Depends}
 Recommends: postgis
 Breaks: postgis (<< 1.2.1)
@@ -159,7 +159,7 @@
 
 Package: postgresql-9.1-postgis-2.1
 Depends: ${shlibs:Depends}, postgresql-9.1,
- postgresql-9.1-postgis-scripts, liblwgeom-2.1.0,
+ postgresql-9.1-postgis-scripts, liblwgeom-2.1.1,
  ${misc:Depends}
 Recommends: postgis
 Breaks: postgis (<< 1.2.1)
@@ -215,7 +215,7 @@
 
 Package: postgresql-9.2-postgis-2.1
 Depends: ${shlibs:Depends}, postgresql-9.2,
- postgresql-9.2-postgis-scripts, liblwgeom-2.1.0,
+ postgresql-9.2-postgis-scripts, liblwgeom-2.1.1,
  ${misc:Depends}
 Recommends: postgis
 Breaks: postgis (<< 1.2.1)
