=== debian/rules ===
--- 
+++ 
@@ -159,6 +159,7 @@
 	done)
 
 #	PostGIS for the most recent PostgreSQL version
+	dh_autotools-dev_updateconfig
 	./configure $(COMMON_CONFIGURE_ARGS) \
 		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
 		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config
@@ -209,6 +210,7 @@
 #	Cleanup the temporary environment file.
 	rm -f postgis-check-env.tmp
 
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: install-indep install-arch
@@ -226,4 +228,3 @@
 	(set -e; \
 	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
 		$(MAKE) -C $(CURDIR)/debian/build-$$PGVER \
-			install DESTDIR=$(CURDIR)/debian/tmp; \
